View Issue Details

IDProjectCategoryView StatusLast Update
0002185gnunet-gtkgnunet-fs-gtkpublic2013-12-24 20:54
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynoneSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0002185: (optionally) add namespace advertisements to published directories when publishing a directory in a namespace
DescriptionThe idea is that users that find the directory can learn which namespace it belongs to.
Additional Information(10:50:33 PM) LRN: OK, here's the use-case:
(10:50:50 PM) grothoff: The GUI currently doesn't give you a way other than manually adding the file to the namespace, but internally all you need is the URI.
(10:51:43 PM) grothoff: With the URI, you can link into the middle of a namespace from a gnunet-directory (which can be in a different namespace or no namespace at all), and you can (not with the gui, but theoretically) add any (CHK/LOC) URI to a namespace that you control.
(10:51:51 PM) LRN: I've searched for "foo", and found foo. I've downloaded foo, and i've found foo to be great. I check the metadata (or GNUnet client checks it for me) and i see that foo was also published within a namespace Bar. I search for the Bar namespace and add it to my namespace list.
(10:52:20 PM) grothoff: So you want to make the link to the SBlock, not the CHK URI.
(10:52:27 PM) LRN: Yes, i am aware of the fact that you can "collect" things into namespace without publishing them yourself
(10:52:30 PM) grothoff: (which would be a new KBlock).
(10:53:55 PM) LRN: If SBlock is what namespace advertisement is - then yes.
(10:53:58 PM) grothoff: I think everything you want is _theoretically_ possible with libgnunetfs, but not with the GUI, and I'm not sure that there is an intuitive way to allow all of these things with the GUI -- or that this is needed, as the uses are rather "special". If you have a specific application in mind that needs this, a custom GUI for that purpose might be a better solution...
(10:54:20 PM) grothoff: LRN: that's an "NBlock". You can also put NBlocks in to directories, but again not with the current GUI.
(10:54:44 PM) grothoff: Then your directory would contain a reference to someone else's namespace, together with a description for that namespace.
(10:54:54 PM) grothoff: Again, supported by the library, not the GUI.
(10:55:05 PM) LRN: Actually, i think it's the RIGHT way to use namespaces. Right to get to know about a namespace you have to either find its advertisement, or get a link off-band.
(10:55:07 PM) grothoff: Btw, 0002184 added to Mantis.
(10:55:30 PM) LRN: The natural way to find namespaces should be by finding good publications, and learning that they come from a namespace.
(10:56:12 PM) grothoff: It would be possible to (optionally) add a link to a namespace advertisement into every directory published in the namespace...
(10:56:21 PM) LRN: That would be great
(10:56:24 PM) grothoff: That way, if you find a directory from a namespace, you'd get the add with it.
(10:56:28 PM) grothoff: Ad, not add.
(10:56:43 PM) LRN: Is it mantissed?
(10:56:53 PM) grothoff: This specific issue, no.
(10:57:01 PM) LRN: Mantiss it! :)
(10:57:21 PM) LRN: (by the way, is it "mantiss" or "mantis"?)
(10:57:30 PM) grothoff: The bigger issue there right now is that we "forget" about our own namespace advertisements after we publish them, so they are no longer around when directories are created later.
TagsNo tags attached.

Activities

Christian Grothoff

2012-02-27 23:00

manager   ~0005524

(10:58:19 PM) LRN: OK, but we can find our own namespace advertisements and "learn" about them
(10:59:42 PM) grothoff: Yuck. Might be better to store the information in the pseudonym metadata instead ;-).
(10:59:50 PM) LRN: So: 1) Don't forget NBlocks after they've been published OR immediately find them (whichever is easier). 2) Give the user a way to specify a namespace when publishing. Not necessarily the namespace user controls, just any namespace with non-negative rating.

LRN

2013-07-18 17:54

developer   ~0007256

(2013-07-18 19:45:13) amatus: another idea would be to publish K-Blocks using the file CHK as the keyword
(2013-07-18 19:45:43) LRN: h-m-m-m...that's neat
(2013-07-18 19:45:43) amatus: so let's say i find a file and want to specifically search for what namespaces it's in, i could search for the CHK and find a K-Block you published saying that file is in your namespace
(2013-07-18 19:46:21) amatus: but again, this is not a convention anyone currently follows
(2013-07-18 19:46:34) LRN: well, we're here to establish such conventions

Christian Grothoff

2013-09-15 21:50

manager   ~0007457

SKS URI for the namespace are now included in meta data and can be used to learn the namespace.

Issue History

Date Modified Username Field Change
2012-02-27 22:59 Christian Grothoff New Issue
2012-02-27 23:00 Christian Grothoff Note Added: 0005524
2012-02-28 20:09 Christian Grothoff Status new => confirmed
2012-06-18 22:56 Christian Grothoff Target Version => 0.9.5
2012-10-07 14:21 Christian Grothoff Target Version 0.9.5 =>
2013-07-18 17:54 LRN Note Added: 0007256
2013-09-15 21:50 Christian Grothoff Note Added: 0007457
2013-09-15 21:50 Christian Grothoff Status confirmed => resolved
2013-09-15 21:50 Christian Grothoff Fixed in Version => 0.10.0
2013-09-15 21:50 Christian Grothoff Resolution open => fixed
2013-09-15 21:50 Christian Grothoff Assigned To => Christian Grothoff
2013-09-15 21:50 Christian Grothoff Target Version => 0.10.0
2013-12-24 20:54 Christian Grothoff Status resolved => closed